Subject: Re: rxvt fails to kill shell when closed via the X button
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Wed, 07 Aug 2002 11:50:25 -0700
Newsgroups: gmane.os.cygwin

Michael Hoffman wrote:

> On Wed, 7 Aug 2002, Andrew DeFaria wrote:
>
>> I was just reporting back my experience. There is no need to type 
>> "sleep 24h" - just click on the X button.
>
> That doesn't reproduce the issue for me. I have to use sleep 24h or 
> trap true SIGHUP.
>
> I have:
> rxvt 2.7.2-10

Hmmm... mine says 2.7.2 and that's it!

> bash 2.05b-2

Hmmm... mine says GNU bash, version 2.05a.0(3)-release (i686-pc-cygwin)

I guess I should look to see if there are new rxvt's or bash's that I 
need...

> $ uname -a
> CYGWIN_NT-5.1 BARBECUEWORLD 1.3.12(0.54/3/2) 2002-07-06 02:16 i586 unknown

$ uname -a
CYGWIN_NT-5.1 ADEFARIA 1.3.12(0.54/3/2) 2002-07-06 02:16 i686 unknown

> If there is a fix to this, it shouldn't kill processes started with nohup.

Agreed.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/